VMware: Failed to create volume from image after session timeout

Bug #1235187 reported by Kartik Bommepally on 2013-10-04
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Cinder
Medium
Kartik Bommepally

Bug Description

When trying to create volume from an image the following error is found due to session timeout:

^[[01;31m2013-10-03 11:54:18.115 TRACE cinder.volume.flows.create_volume ^[[01;35m^[[00mTraceback (most recent call last):
^[[01;31m2013-10-03 11:54:18.115 TRACE cinder.volume.flows.create_volume ^[[01;35m^[[00m File "/opt/stack/cinder/cinder/taskflow/patterns/linear_flow.py", line 172, in run_it
^[[01;31m2013-10-03 11:54:18.115 TRACE cinder.volume.flows.create_volume ^[[01;35m^[[00m result = runner(context, *args, **kwargs)
^[[01;31m2013-10-03 11:54:18.115 TRACE cinder.volume.flows.create_volume ^[[01;35m^[[00m File "/opt/stack/cinder/cinder/taskflow/utils.py", line 260, in __call__
^[[01;31m2013-10-03 11:54:18.115 TRACE cinder.volume.flows.create_volume ^[[01;35m^[[00m self.result = self.task(*args, **kwargs)
^[[01;31m2013-10-03 11:54:18.115 TRACE cinder.volume.flows.create_volume ^[[01;35m^[[00m File "/opt/stack/cinder/cinder/volume/flows/create_volume/__init__.py", line 1478, in __call__
^[[01;31m2013-10-03 11:54:18.115 TRACE cinder.volume.flows.create_volume ^[[01;35m^[[00m **volume_spec)
^[[01;31m2013-10-03 11:54:18.115 TRACE cinder.volume.flows.create_volume ^[[01;35m^[[00m File "/opt/stack/cinder/cinder/volume/flows/create_volume/__init__.py", line 1441, in _create_from_image
^[[01;31m2013-10-03 11:54:18.115 TRACE cinder.volume.flows.create_volume ^[[01;35m^[[00m image_id, image_location, image_service)
^[[01;31m2013-10-03 11:54:18.115 TRACE cinder.volume.flows.create_volume ^[[01;35m^[[00m File "/opt/stack/cinder/cinder/volume/flows/create_volume/__init__.py", line 1355, in _copy_image_to_volume
^[[01;31m2013-10-03 11:54:18.115 TRACE cinder.volume.flows.create_volume ^[[01;35m^[[00m raise exception.ImageCopyFailure(reason=ex)
^[[01;31m2013-10-03 11:54:18.115 TRACE cinder.volume.flows.create_volume ^[[01;35m^[[00mImageCopyFailure: Failed to copy image to volume: Unable to create volume: volume-48884632-5ed7-4f01-b6c6-7007d8ec7e8e in the inventory.
^[[01;31m2013-10-03 11:54:18.115 TRACE cinder.volume.flows.create_volume ^[[01;35m^[[00m
2013-10-03 11:54:18.117 ^[[00;32mDEBUG cinder.taskflow.utils [^[[00;36m-^[[00;32m] ^[[01;35m^[[00;32mCalling rollback 5: cinder.volume.flows.base.InjectTask;volume:create

The driver does not re-create session.

Fix proposed to branch: master
Review: https://review.openstack.org/49727

Changed in cinder:
assignee: nobody → Kartik Bommepally (kartikaditya)
status: New → In Progress
tags: added: havana-rc-potential

This is regression after the fix for https://bugs.launchpad.net/cinder/+bug/1227078

Reviewed: https://review.openstack.org/49727
Committed: http://github.com/openstack/cinder/commit/2d4ea101252141486fa6fd61b100772fafd40102
Submitter: Jenkins
Branch: master

commit 2d4ea101252141486fa6fd61b100772fafd40102
Author: Kartik Bommepally <email address hidden>
Date: Fri Oct 4 04:05:09 2013 -0700

    VMware: Re-create session for RetrievePropertiesEx

    When RetrievePropertiesEx API is called after session timeout, the driver
    does not re-create session automatically.

    This is a regression caused when moving from RetrieveProperties to
    RetrievePropertiesEx API.

    Fixes bug: 1235187

    Change-Id: I8a1e2452dfb3029365d59eae7850d1a9363b25f0

Changed in cinder:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2013-10-10
Changed in cinder:
importance: Undecided → Medium
milestone: none → havana-rc2
tags: removed: havana-rc-potential

Reviewed: https://review.openstack.org/50958
Committed: http://github.com/openstack/cinder/commit/46afd20ac76d5c947c33395eeff80b53e6493a98
Submitter: Jenkins
Branch: milestone-proposed

commit 46afd20ac76d5c947c33395eeff80b53e6493a98
Author: Kartik Bommepally <email address hidden>
Date: Fri Oct 4 04:05:09 2013 -0700

    VMware: Re-create session for RetrievePropertiesEx

    When RetrievePropertiesEx API is called after session timeout, the driver
    does not re-create session automatically.

    This is a regression caused when moving from RetrieveProperties to
    RetrievePropertiesEx API.

    Fixes bug: 1235187

    Change-Id: I8a1e2452dfb3029365d59eae7850d1a9363b25f0
    (cherry picked from commit 2d4ea101252141486fa6fd61b100772fafd40102)

Changed in cinder:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2013-10-17
Changed in cinder:
milestone: havana-rc2 → 2013.2
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers